package com.gic.haoban.manage.api.qdto.moment;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;

public class TaskListWxaQDTO extends BasePageInfo {

    private String wxEnterpriseId ;
    private String enterpriseId ;
    private String storeId ;
    private String staffId ;
    private String clerkId ;
    /**
     * 指定查询的导购ID
     */
    private String execClerkId ;
    /**
     * 0已失效  1未完成 2已完成
     */
    private Integer taskStatus ;

    private Long planId ;

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getExecClerkId() {
        return execClerkId;
    }

    public void setExecClerkId(String execClerkId) {
        this.execClerkId = execClerkId;
    }

    public Integer getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Integer taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }
}
